﻿@model StarterProjectV2.ViewModels.RoomSlotManagementView
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<link href="assets/css/bootstrap-responsive.css" rel="stylesheet">
@section HEADERJS{
    <script type="text/javascript" src="https://cdn.jsdelivr.net/jquery/1/jquery.min.js"></script>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.1/jquery.min.js"></script>
    <script src="https://ajax.googleapis.com/ajax/libs/jqueryui/1.11.1/jquery-ui.min.js"></script>
    <link rel="stylesheet" href="http://code.jquery.com/ui/1.10.4/themes/smoothness/jquery-ui.css">
}

@section FOOTERJS{
    <script src="~/Content/vendors/js/toastr.min.js"></script>
    <script src="~/Content/vendors/js/coreui.min.js"></script>
}
<!DOCTYPE html>
<h2 class="text-center" style="color:indianred">@ViewData["Title"]</h2>
<div class="card" style="margin-bottom: 0">

    <div class="table-responsive-lg">

        <table id="mainTable" data-pagination="true" class="table table-hover table-dark" style="margin-bottom: 0">
            <thead class="bg-blue" style="color:white">
                <tr>
                    <th scope="col">View</th>
                    <th scope="col">Edit</th>
                    <th scope="col">
                        Delete
                    </th>
                    <th scope="col">RoomSlotAssignment Id.</th>
                    <th scope="col">Room Id</th>
                    <th scope="col">Slot Id</th>
                    <th scope="col">RoomSlotText</th>
                    <th scope="col">Status</th>

                </tr>
            </thead>
            <tbody>

                @foreach (var roomslot in Model.RoomSlotList)
                {
                <tr>
                    <td>
                        <button type="button"
                                class="btn btn-light"
                                data-toggle="tooltip"
                                data-placement="bottom"
                                title="View"
                                onclick="location.href = '@Url.Action("", "RoomSlotAssignment")'">
                            <i class="icon-eye">
                            </i>
                        </button>
                    </td>
                    <td>
                        <button type="button"
                                class="btn btn-light"
                                data-toggle="tooltip"
                                data-placement="bottom"
                                title="Edit"
                                onclick="location.href='@Url.Action("", "RoomSlotAssignment")'">
                            <i class="icon-notebook">
                            </i>
                        </button>
                    </td>
                    <td>
                        @using (Html.BeginForm("RoomSlotDelete", "RoomSlotAssignment", new { roomslotId = roomslot.RoomSlotAssignmentId }, FormMethod.Post))
                        {
                            <button type="submit"
                                    class="btn btn-light"
                                    data-toggle="tooltip"
                                    data-placement="bottom"
                                    title="Delete" onclick="return confirm('Are you sure?')" >
                                <i class="icon-trash">
                                </i>
                            </button>
                        }
                    </td>
                    <td>@roomslot.RoomSlotAssignmentId</td>
                    <td>@roomslot.RoomId</td>
                    <td>@roomslot.SlotId</td>
                    <td>@roomslot.RoomSlotText</td>
                    <td>@roomslot.SoldStatus</td>
                </tr>
                }

            </tbody>
        </table>
    </div>
</div>













<script>
    $(document).ready(function() {
        var taskRoles = "@Model.TaskRoles";
        if (taskRoles[0] == '0') {
            $('table tr').find('td:eq(0),th:eq(0)').remove();
            if (taskRoles[3] == '0') {
                $('table tr').find('td:eq(0),th:eq(0)').remove();
                if (taskRoles[4] == '0') {
                    $('table tr').find('td:eq(0),th:eq(0)').remove();
                }
            } else {
                if (taskRoles[4] == '0') {
                    $('table tr').find('td:eq(1),th:eq(1)').remove();
                }
            }
        } else {
            if (taskRoles[3] == '0') {
                $('table tr').find('td:eq(1),th:eq(1)').remove();
                if (taskRoles[4] == '0') {
                    $('table tr').find('td:eq(1),th:eq(1)').remove();
                }
            } else {
                if (taskRoles[4] == '0') {
                    $('table tr').find('td:eq(2),th:eq(2)').remove();
                }
            }
        }
        if (taskRoles[1] == '0') {
            $("#newItem").remove();
        }
    });
</script>

<script>
    $(function () {
        $('[data-toggle="tooltip"]').tooltip()
    })
</script>

<script>
    var clicked = false;
    $("#Select").on("click", function () {
        $(".form-check-input").prop("checked", !clicked);
        clicked = !clicked;
    });



    $(document).ready(function() {
        $("#newItem").click(function() {
            document.location = '@Url.Action("RoomSlotCreate", "RoomSlotAssignment")';
        });

        $("#editItem").remove();
        $("#saveItem").remove();
        $("#deleteItem").remove();
        $('#printItem').click(function(){
            window.print();
        });

        $('#reloadItem').click(function() {
            location.reload();
        });

        @*$("#dashboardItem").click(function() {
            document.location = '@Url.Action("ExportExcel", "OwnersInfo")';
        });*@
        $("#reportItem").remove();

    });


</script>

<script src="~/Content/vendors/js/jquery.min.js"></script>
<script src="~/Content/vendors/js/popper.min.js"></script>
<script src="~/Content/vendors/js/bootstrap.min.js"></script>
<script src="~/Content/vendors/js/pace.min.js"></script>
<script src="~/Content/vendors/js/toastr.min.js"></script>
<script src="~/Content/vendors/js/perfect-scrollbar.min.js"></script>
<script src="~/Content/vendors/js/coreui.min.js"></script>

